
import request from '@/router/axios'

export function getSubList(query) {
  return request({
    url: '/admin/sysdeptsub/getSubList',
    method: 'get',
    params: query
  })
}

export function getSubSelect(query) {
  return request({
    url: '/admin/sysdeptsub/getSubSelect',
    method: 'get',
    params: query
  })
}
export function getSettleSubSelect(query) {
  return request({
    url: '/admin/sysdeptsub/get-settle-subject',
    method: 'get',
    params: query
  })
}

export function updateSubLimitAmount(obj) {
  return request({
    url: '/admin/sysdeptsub/updateSubLimitAmount',
    method: 'post',
    data: obj
  })
}

// 结算管理配置接口
export function saveSettleConfig(data) {
  return request({
    url: '/admin/sysdeptsub/save-settle-config',
    method: 'post',
    data
  })
}
